# Requirements
## Hardware Requirements
- GPU: NVIDIA GTX 1080Ti (11GB Memory)
- CPU: Intel(R) Core(TM) i7-6850K CPU @ 3.60GHz
- Memory: 64GB
- SSD: 1T

## Software Dependency
- OS: Ubuntu 16.04 LTS
- Anaconda 3
- CUDA 10.2, CUDNN 7.6
- Python libraries: Python3.8, Pytorch 1.7.0

# Installation

This document contains detailed instructions for installing the necessary dependencies for **MixFormer**. 
The instrustions have been tested on an Ubuntu 16.04 system. 

## MixFormer-Related Part
- To prepare for the environment, run the script `install_pytorch17.sh`
``` shell
$ cd ./mixformer
$ conda create -n MixFormer python=3.8
$ conda activate MixFormer
$ chmod a+x install_pytorch17.sh
$ ./install_pytorch17.sh
$ cd ..
```


# Test the MixFormerM tracker for short-time segmentation
* Enter the workspace
```
cd /path/to/vot22_seg_mixformer_large/
```

Then put vot2022 sequences into workspace (or you can download sequences automatically by vot toolkit).
```
ln -s /path/to/vot2022sts/sequences/ .
```

We have initialized the workspace. Just modify the settings in trackers.ini.
Please fill `<PATH_OF_MIXFORMER>` in trackers.ini with the path of mixformer in this directory.
Please fill `<PATH_OF_PYTHON>` in trackers.ini with the your python path of conda virual environment.

* Then modify the local.py in mixformer. The file path is `./mixformer/lib/test/evaluation/local.py`. Please fill in `settings.prj_dir` and `settings.save_dir` with the path of mixformer in this directory(other settings are not important).

* Model params of mixformer should be downloaded and put into the following paths.

`mixformer_vit_score_imagemae.pth.tar` model in [google drive](https://drive.google.com/file/d/1EOZgd3HVlTmhPdsWd-zGqx4I53H4oiqf/view?usp=sharing) should be put into `./mixformer/models/`

`SEcmnet_ep0440.pth.tar` model in [google drive](https://drive.google.com/file/d/1J0ebV0Ksye62yQOba8ymCoWFFg-MxXVy/view?usp=sharing) should be put int `./mixformer/external/AR/ltr/checkpoints/ltr/ARcm_seg/ARcm_coco_seg_only_mask_384/`

* You can evaluate MixFormerM on vot2022 sts.
```
conda activate MixFormer
vot evaluate --workspace . MixFormerPython
vot analysis --workspace . --nocache
```
