# -*- coding: utf-8 -*-
#
import os
import sys
sys.path.insert(0, os.path.abspath('../python'))

# -- General configuration ------------------------------------------------


extensions = ['sphinx.ext.autodoc', 'sphinx.ext.napoleon']

# Add any paths that contain templates here, relative to this directory.
templates_path = ['_templates']

from recommonmark.parser import CommonMarkParser

source_parsers = {
    '.md': CommonMarkParser,
}

source_suffix = ['.rst', '.md']

master_doc = 'index'

# General information about the project.
project = u'VOT Toolkit'
copyright = u'2022, Luka Cehovin Zajc'
author = u'Luka Cehovin Zajc'

try:
    import sys
    import os
       
    __version__ = "0.0.0"

    exec(open(os.path.join(os.path.dirname(__file__), '..', 'vot', 'version.py')).read())

    version = __version__
except:
    version = 'unknown'

# The full version, including alpha/beta/rc tags.
release = version

# The language for content autogenerated by Sphinx. Refer to documentation
# for a list of supported languages.
#
# This is also used if you do content translation via gettext catalogs.
# Usually you set "language" from the command line for these cases.
language = None

# There are two options for replacing |today|: either, you set today to some
# non-false value, then it is used:
#
# today = ''
#
# Else, today_fmt is used as the format for a strftime call.
#
# today_fmt = '%B %d, %Y'

# List of patterns, relative to source directory, that match files and
# directories to ignore when looking for source files.
# This patterns also effect to html_static_path and html_extra_path
exclude_patterns = ['_build', 'Thumbs.db', '.DS_Store']

# The reST default role (used for this markup: `text`) to use for all
# documents.
#
# default_role = None

# If true, '()' will be appended to :func: etc. cross-reference text.
#
# add_function_parentheses = True

# If true, the current module name will be prepended to all description
# unit titles (such as .. function::).
#
# add_module_names = True

# If true, sectionauthor and moduleauthor directives will be shown in the
# output. They are ignored by default.
#
# show_authors = False

# The name of the Pygments (syntax highlighting) style to use.
pygments_style = 'sphinx'

# A list of ignored prefixes for module index sorting.
# modindex_common_prefix = []

# If true, keep warnings as "system message" paragraphs in the built documents.
# keep_warnings = False

# If true, `todo` and `todoList` produce output, else they produce nothing.
todo_include_todos = False


# -- Options for HTML output ----------------------------------------------

# The theme to use for HTML and HTML Help pages.  See the documentation for
# a list of builtin themes.
#
html_theme = 'sphinx_rtd_theme'

html_static_path = ['_static']

htmlhelp_basename = 'vottoolkitdoc'

# -- Options for LaTeX output ---------------------------------------------

latex_documents = [
    (master_doc, 'vot-toolkit.tex', u'VOT Toolkit Documentation',
     u'Luka Cehovin Zajc', 'manual'),
]

man_pages = [
    (master_doc, 'vot-toolkit', u'VOT Toolkit Documentation',
     [author], 1)
]

# If true, show URL addresses after external links.
#
# man_show_urls = False


# -- Options for Texinfo output -------------------------------------------

# Grouping the document tree into Texinfo files. List of tuples
# (source start file, target name, title, author,
#  dir menu entry, description, category)
texinfo_documents = [
    (master_doc, 'VOT Toolkit', u'VOT Toolkit Documentation',
     author, 'VOT Toolkit', 'The official VOT Challenge evaluation toolkit',
     'Miscellaneous'),
]

